
ctools - Bug #625

Access of invalid matrix element in ctlike

12/06/2012 01:07 PM - Knödlseder Jürgen

Status: Closed Start date: 12/06/2012

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

A ctlike run on 2 COMPTEL observations gave the following exception:

2012-12-06T11:36:52:  Iteration 25: func=-134518, Lambda=1e-14, delta=6.62477, max(grad)=80.8315 [0]

2012-12-06T11:36:56:  Iteration 26: func=-134523, Lambda=1e-15, delta=4.93667, max(grad)=63.8959 [0]

2012-12-06T11:37:00:  Iteration 27: func=-134526, Lambda=1e-16, delta=3.07109, max(grad)=55.6258 [1]

2012-12-06T11:37:00:  GOptimizerLM::iteration: Curvature matrix not positive definite.

2012-12-06T11:37:00:  Iteration 28: func=-134526, Lambda=1e-16, delta=0, max(grad)=55.6258 [1]

2012-12-06T11:37:00:    Free parameter "Index" after convergence was reached with frozen parameter.

2012-12-06T11:37:00:    Free parameter "Scale factor 0" after convergence was reached with frozen parameter.

2012-12-06T11:37:00:  *** ERROR encounterted in the execution of ctlike. Run aborted ...

2012-12-06T11:37:00:  *** ERROR in GSparseMatrix::operator(int&,int&): Matrix element (52,52) out of range ([0,51], [0,51])

2012-12-06T11:37:00:

2012-12-06T11:37:00: Application "ctlike" terminated after 125 wall clock seconds, consuming 227.068 seconds of CPU time.

Maybe the problem comes from a non positive definite curvature matrix, but in any case, there should not be an invalid access to

matrix elements. Something went wrong here.

Relevant files to reproduce the problem are attached.

History

#1 - 12/06/2012 03:13 PM - Knödlseder Jürgen

- % Done changed from 0 to 10

The problem was due to the fact that two identical models were fit simultaneously to both observations. The id's were in fact not read. The problem

can thus be reproduced by removing the id attribute from the model.

We still should investigate the reason for the matrix access error.

#2 - 10/30/2014 12:30 PM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version set to 1.0.0

This definitely needs to be settled before the release version 1.0.0 goes out.

#3 - 06/29/2015 11:08 PM - Knödlseder Jürgen

- File ctlike_current.log added

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 10 to 20
Unfortunately (or fortunately?) the current code does not reproduce the problem (attachment:ctlike_current.log)

#4 - 06/29/2015 11:15 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

Put this now on feedback, to be closed before release 1.0.0 if issue does not appear again.

#5 - 06/30/2015 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Files

crab_1_10.xml 11.5 KB 12/06/2012 Knödlseder Jürgen

obs_1_10.xml 1.03 KB 12/06/2012 Knödlseder Jürgen

ctlike.log 23.5 KB 12/06/2012 Knödlseder Jürgen

ctlike_current.log 20.6 KB 06/29/2015 Knödlseder Jürgen
